Package org.jbpm.workflow.core

## Interface WorkflowProcess

- All Superinterfaces:
    `ContextContainer`, `org.kie.api.definition.KieDefinition`, `NodeContainer`, `org.kie.api.definition.process.NodeContainer`, `Process`, `org.kie.api.definition.process.Process`, `org.kie.api.definition.process.WorkflowProcess`
  All Known Implementing Classes:
    `RuleFlowProcess`, `WorkflowProcessImpl`

      public interface WorkflowProcess
      extends org.kie.api.definition.process.WorkflowProcess, Process, NodeContainer

  Represents a RuleFlow process.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.api.definition.KieDefinition

      `org.kie.api.definition.KieDefinition.KnowledgeType`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `CASE_TYPE` |
    `static int` | `PROCESS_TYPE` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<String>` | `getFunctionImports()` | Returns the function imports of this RuleFlow process.
    `String[]` | `getGlobalNames()` | Returns the names of the globals used in this RuleFlow process
    `Map<String,​String>` | `getGlobals()` | Returns the globals of this RuleFlow process.
    `Set<String>` | `getImports()` | Returns the imports of this RuleFlow process.
    `org.kie.api.definition.process.Node` | `getParentNode​(long nodeId)` |
    `Integer` | `getProcessType()` |
    `boolean` | `isAutoComplete()` | Returns whether this process will automatically complete if it contains no active node instances anymore
    `boolean` | `isDynamic()` |
    `void` | `setFunctionImports​(List<String> functionImports)` | Sets the imports of this RuleFlow process
    `void` | `setGlobals​(Map<String,​String> globals)` | Sets the imports of this RuleFlow process
    `void` | `setImports​(Set<String> imports)` | Sets the imports of this RuleFlow process

    - ### Methods inherited from interface org.jbpm.process.core.ContextContainer

      `addContext, getContext, getContexts, getDefaultContext, setDefaultContext`

    - ### Methods inherited from interface org.kie.api.definition.KieDefinition

      `getKnowledgeType, getNamespace`

    - ### Methods inherited from interface org.jbpm.workflow.core.NodeContainer

      `addNode, internalGetNode, removeNode, resolveContext`

    - ### Methods inherited from interface org.kie.api.definition.process.NodeContainer

      `getNode, getNodeByUniqueId, getNodes`

    - ### Methods inherited from interface org.jbpm.process.core.Process

      `setId, setMetaData, setName, setPackageName, setType, setVersion`

    - ### Methods inherited from interface org.kie.api.definition.process.Process

      `getId, getMetaData, getName, getPackageName, getResource, getType, getVersion, setResource`

- - ### Field Detail

    - #### PROCESS_TYPE

          static final int PROCESS_TYPE

      See Also:
        Constant Field Values

    - #### CASE_TYPE

          static final int CASE_TYPE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getImports

          Set<String> getImports()

      Returns the imports of this RuleFlow process. They are defined as a List of fully qualified class names.
      Specified by:
        `getImports` in interface `Process`
      Returns:
        the imports of this RuleFlow process

    - #### getFunctionImports

          List<String> getFunctionImports()

      Returns the function imports of this RuleFlow process. They are defined as a List of fully qualified class names.
      Specified by:
        `getFunctionImports` in interface `Process`
      Returns:
        the function imports of this RuleFlow process

    - #### setImports

          void setImports​(Set<String> imports)

      Sets the imports of this RuleFlow process
      Specified by:
        `setImports` in interface `Process`
      Parameters:
        `imports` - the imports as a List of fully qualified class names

    - #### setFunctionImports

          void setFunctionImports​(List<String> functionImports)

      Sets the imports of this RuleFlow process
      Specified by:
        `setFunctionImports` in interface `Process`
      Parameters:
        `functionImports` - the imports as a List of fully qualified class names

    - #### getGlobals

          Map<String,​String> getGlobals()

      Returns the globals of this RuleFlow process. They are defined as a Map with the name as key and the type as value.
      Specified by:
        `getGlobals` in interface `Process`
      Returns:
        the imports of this RuleFlow process

    - #### setGlobals

          void setGlobals​(Map<String,​String> globals)

      Sets the imports of this RuleFlow process
      Specified by:
        `setGlobals` in interface `Process`
      Parameters:
        `globals` - the globals as a Map with the name as key and the type as value

    - #### getGlobalNames

          String[] getGlobalNames()

      Returns the names of the globals used in this RuleFlow process
      Specified by:
        `getGlobalNames` in interface `Process`
      Returns:
        the names of the globals of this RuleFlow process

    - #### isAutoComplete

          boolean isAutoComplete()

      Returns whether this process will automatically complete if it contains no active node instances anymore
      Returns:
        the names of the globals of this RuleFlow process

    - #### isDynamic

          boolean isDynamic()

    - #### getProcessType

          Integer getProcessType()

    - #### getParentNode

          org.kie.api.definition.process.Node getParentNode​(long nodeId)